#import tomtom.txt, report_analysis.tsv as datasets
motif1 <- c(1.59e-09, 1.01e-08, 3.95e-08, 1.55e-07, 2.31e-07, 3.70e-07, 1.00e-06, 2.04e-06, 2.48e-06, 1.09e-05)
motif2<- c(2.41e-07,1.67e-06,3.50e-06,5.95e-06, 1.08e-05, 1.39e-05, NA, NA, NA, NA)
motif3<- c(1.11e-06, 1.03e-05, 2.58e-05,3.95e-05, 1.01e-04, 1.24e-04, 1.67e-04, 1.94e-04, 2.23e-04,3.72e-04)
motifs = data.frame(motif1, motif2, motif3)
motifs12 = data.frame(motif1, motif2)
boxplot(motifs, ylab = "P-value")
boxplot(motifs12, ylab = "P-value")
library(PMCMRplus)
library(PMCMR)
posthoc.kruskal.dunn.test(motifs, p.adjust.method = "b")
kruskal.test(motifs12, p.adjust.method = "b")
boxplot(tomtom$V5 ~ tomtom$V1, xlab = "motifs", ylab = "p-value")
posthoc.kruskal.dunn.test(tomtom$V5 ~ tomtom$V1, p.adjust.method = "b")
boxplot(report_analysis$pvalue~report_analysis$purine., ylab = "p-value")
wilcox.test(report_analysis$pvalue~report_analysis$purine.)