from sys import argv
import re

purine = r"purine"
known = ['carA', 'carB', 'codA', 'codB', 'cvpA', 'gcvH', 'gcvP', 'gcvT',
         'glnB', 'glyA', 'guaA', 'guaB', 'hflD', 'prs', 'purA', 'purB',
         'purC', 'purD', 'purE', 'purF', 'purH', 'purK', 'purL', 'purM',
         'purN', 'purR', 'pyrC', 'pyrD', 'speA', 'speB', 'ubiX', 'purT',
         'purU']
with open(argv[1], "r") as infile:
    with open(argv[2], "w") as outfile:
        for line in infile:
            lst = line.split("\t")
            if lst[-2] in known or lst[-3] in known or re.search(purine, lst[-1]):
                lst[-1] = "purine\n"
            else:
                lst[-1] = "not purine\n"
            outfile.write("\t".join(lst))