from sys import argv
import re

name = r"Name=([\w_\.]+);"
gene = r"gene=(\w+);"
process = r"go_process=([\w\s]+)\|"
handler = (name, gene, process)
with open(argv[1], "r") as infile:
    with open(argv[2], "w") as outfile:
        for line in infile:
            lst = line.split("\t")[:10]
            query = [found.group(1) if found else "." for found in (re.search(pattern, line) for pattern in handler)]
            outfile.write(line.strip())
            outfile.write("\t")
            outfile.write("\t".join(query))
            outfile.write("\n")
            